%define major 7
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	An SSL library
Name:		polarssl
Version:	1.3.9
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://polarssl.org
Source0:	http://polarssl.org/code/releases/%{name}-%{version}-gpl.tar.xz
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkcs11-helper-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	%{_lib}ssh2-devel

%description
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains PolarSSL programs.

%package -n	%{libname}
Summary:	PolarSSL library
Group:		System/Libraries

%description -n	%{libname}
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains the library itself.

%package -n	%{develname}
Summary:	PolarSSL development files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	polarssl-devel = %{version}

%description -n	%{develname}
PolarSSL is an SSL library written in ANSI C. PolarSSL makes it easy
for developers to include cryptographic and SSL/TLS capabilities in their
(embedded) products with as little hassle as possible. It is designed to be
readable, documented, tested, loosely coupled and portable.

This package contains development files.

%prep
%setup -q

%build
%cmake \
	-DUSE_SHARED_POLARSSL_LIBRARY:BOOL=ON \
	-DUSE_PKCS11_HELPER_LIBRARY:BOOL=ON
%make
%make apidoc

%check
%make check

%install

%makeinstall_std -C build

# prevent possible file clashes
pushd %{buildroot}%{_bindir}
    for i in * ; do mv ${i} polarssl-${i}; done
popd

rm -f %{buildroot}%{_libdir}/*.a

%files
%doc ChangeLog README*
%{_bindir}/polarssl-*

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%{_libdir}/*.so.%{version}

%files -n %{develname}
%doc apidoc/*
%{_libdir}/*.so
%{_includedir}/polarssl


%changelog
* Thu Mar 19 2015 ghostbunny <ghostbunny at gmx dot de> 1.3.9-1pclos2015
- 1.3.9

* Sun Jul 27 2014 ghostbunny <ghostbunny at gmx dot de> 1.3.8-2pclos2014
- recompress source to tar.xz
- remove static library
- add missing BR libssh2-devel

* Sun Jul 27 2014 pinoc <vogtpet at gmail.com> 1.3.8-1pclos2014
- imported package polarssl

